package com.ozs.service.utils;


import com.ozs.service.service.CameraUpdateLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * 相机工具
 * @author Administrator
 */

@Configuration
@Slf4j
@Component
public class CallbackUtil {
    @Autowired
    CameraUpdateLogService cameraUpdateLogService;
    private static  CameraUpdateLogService cameraUpdateLog;


    @PostConstruct
    public void init() {
       cameraUpdateLog = cameraUpdateLogService;
    }
    
    public static void  callback(String deviceSn,Integer code){
        CallbackUtil.cameraUpdateLog.updateAccessories(deviceSn,code);
    }
}
